name: flutter_restaurant
description: A new Flutter restaurant application.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev
version: 1.0.0+0

environment:
  sdk: '>=2.12.0 <3.0.0'

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  intl: any

  cupertino_icons: ^1.0.5
  get_it: ^7.3.0
  provider: ^6.0.5
  shared_preferences: ^2.1.0
  dio: ^5.1.2
  http: ^0.13.5
  image_picker: ^0.8.7+4
  pin_code_fields: ^7.4.0
  google_maps_flutter_web: ^0.4.0+8
  google_maps_flutter: ^2.2.5
  flutter_google_places: ^0.3.0
  geocoding: ^2.1.0
  geolocator: ^9.0.2
  shimmer_animation: ^2.1.0+1
  url_launcher: ^6.1.10
  webview_flutter: ^4.2.0
  firebase_core: ^2.2.0
  firebase_messaging: ^14.1.0
  flutter_local_notifications: ^14.0.0+1
  path_provider: ^2.0.14
  connectivity_plus: ^4.0.0
  url_strategy: ^0.2.0
  carousel_slider: ^4.2.1
  universal_html: ^2.2.1
  image: ^4.0.16
  flutter_widget_from_html_core: ^0.8.5+3
  phone_number: ^1.0.0
  country_code_picker: ^3.0.0
  flutter_typeahead: ^4.3.7
  fwfh_selectable_text: ^0.8.3+1
  circular_countdown_timer: ^0.2.3
  timezone: ^0.9.2
  marquee: ^2.2.3
  flutter_inappwebview: ^5.7.2+3
  google_api_headers: ^1.5.0+1
  audioplayers: ^0.20.1
  flutter_facebook_auth: ^5.0.6
  google_sign_in: ^5.4.2
  dotted_border: ^2.0.0+3
  share_plus: ^4.5.3
  expandable_bottom_sheet: ^1.1.1+1
  scroll_to_index: ^3.0.1
  google_maps_webservice: ^0.0.19
  photo_view: ^0.14.0
  cached_network_image: ^3.2.1
  just_the_tooltip: ^0.0.12
  sign_in_with_apple: ^4.3.0
  mobile_scanner: ^3.4.1
  app_links: ^3.4.3
  go_router: ^10.1.2
  firebase_auth: ^4.10.0







dev_dependencies:
  flutter_lints: ^2.0.1
  flutter_test:
    sdk: flutter


flutter:
  uses-material-design: true

  assets:
    - assets/icon/
    - assets/image/
    - assets/language/
    - assets/json/
    - assets/payment/
    - assets/
    - web/assets/

  fonts:
    - family: Rubik
      fonts:
        - asset: assets/fonts/Rubik-Regular.ttf
          weight: 400
        - asset: assets/fonts/Rubik-Medium.ttf
          weight: 500
        - asset: assets/fonts/Rubik-Bold.ttf
          weight: 700

    - family: Poppins
      fonts:
        - asset: assets/fonts/Poppins-Regular.ttf
          weight: 400

    - family: Roboto
      fonts:
        - asset: assets/fonts/Roboto-Regular.ttf
          weight: 400